FIStaxOutInterceptor (Apache CXF JavaDoc 4.1.0-SNAPSHOT API)
Description: declaration: package: org.apache.cxf.interceptor, class: FIStaxOutInterceptor

Package org.apache.cxf.interceptor

# Class FIStaxOutInterceptor

java.lang.Object
org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
org.apache.cxf.interceptor.FIStaxOutInterceptor

All Implemented Interfaces:
  `Interceptor<Message>`, `PhaseInterceptor<Message>`

public class FIStaxOutInterceptor extends AbstractPhaseInterceptor<Message>
Creates an XMLStreamReader from the InputStream on the Message.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FI_ENABLED`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FIStaxOutInterceptor()`
  `FIStaxOutInterceptor(boolean f)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Integer`
  `getSerializerAttributeValueMapMemoryLimit()`
  `Integer`
  `getSerializerCharacterContentChunkMapMemoryLimit()`
  `Integer`
  `getSerializerMaxAttributeValueSize()`
  `Integer`
  `getSerializerMaxCharacterContentChunkSize()`
  `Integer`
  `getSerializerMinAttributeValueSize()`
  `Integer`
  `getSerializerMinCharacterContentChunkSize()`
  `void`
  `handleFault(Message message)`
  Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
  `void`
  `handleMessage(Message message)`
  Intercepts a message.
  `void`
  `setSerializerAttributeValueMapMemoryLimit(Integer serializerAttributeValueMapMemoryLimit)`
  Sets the property `attributeValueMapMemoryLimit` on FastInfoset StAX Serializers created and used by this interceptor.
  `void`
  `setSerializerCharacterContentChunkMapMemoryLimit(Integer serializerCharacterContentChunkMapMemoryLimit)`
  Sets the property `characterContentChunkMapMemoryLimit` on FastInfoset StAX Serializers created and used by this interceptor.
  `void`
  `setSerializerMaxAttributeValueSize(Integer serializerMaxAttributeValueSize)`
  Sets the property `maxAttributeValueSize` on FastInfoset StAX Serializers created and used by this interceptor.
  `void`
  `setSerializerMaxCharacterContentChunkSize(Integer serializerMaxCharacterContentChunkSize)`
  Sets the property `maxCharacterContentChunkSize` on FastInfoset StAX Serializers created and used by this interceptor.
  `void`
  `setSerializerMinAttributeValueSize(Integer serializerMinAttributeValueSize)`
  Sets the property `minAttributeValueSize` on FastInfoset StAX Serializers created and used by this interceptor.
  `void`
  `setSerializerMinCharacterContentChunkSize(Integer serializerMinCharacterContentChunkSize)`
  Sets the property `minCharacterContentChunkSize` on FastInfoset StAX Serializers created and used by this interceptor.

  ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

  `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, isGET, isRequestor, setAfter, setBefore`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### FI_ENABLED

    public static final String FI_ENABLED
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### FIStaxOutInterceptor

    public FIStaxOutInterceptor()

  - ### FIStaxOutInterceptor

    public FIStaxOutInterceptor(boolean f)

- ## Method Details

  - ### handleFault

    public void handleFault(Message message)
    Description copied from interface: `Interceptor`
    Called for all interceptors (in reverse order) on which handleMessage had been successfully invoked, when normal execution of the chain was aborted for some reason.
    Specified by:
      `handleFault` in interface `Interceptor<Message>`
    Overrides:
      `handleFault` in class `AbstractPhaseInterceptor<Message>`

  - ### handleMessage

    public void handleMessage(Message message)
    Description copied from interface: `Interceptor`
    Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

  - ### getSerializerMinAttributeValueSize

    public Integer getSerializerMinAttributeValueSize()

  - ### setSerializerMinAttributeValueSize

    public void setSerializerMinAttributeValueSize(Integer serializerMinAttributeValueSize)
    Sets the property `minAttributeValueSize` on FastInfoset StAX Serializers created and used by this interceptor. The property controls the minimum size of attribute values to be indexed.
    Parameters:
      `serializerMinAttributeValueSize` - The minimum size for attribute values to be indexed, measured as a number of characters. The default is typically 0.

  - ### getSerializerMaxAttributeValueSize

    public Integer getSerializerMaxAttributeValueSize()

  - ### setSerializerMaxAttributeValueSize

    public void setSerializerMaxAttributeValueSize(Integer serializerMaxAttributeValueSize)
    Sets the property `maxAttributeValueSize` on FastInfoset StAX Serializers created and used by this interceptor. The property controls the maximum size of attribute values to be indexed. Tests have shown that setting this property to lower values reduces CPU burden of processing, at the expense of larger sizes of resultant encoded Fast Infoset data.
    Parameters:
      `serializerMaxAttributeValueSize` - The maximum size for attribute values to be indexed, measured as a number of characters. The default is typically 32.

  - ### getSerializerCharacterContentChunkMapMemoryLimit

    public Integer getSerializerCharacterContentChunkMapMemoryLimit()

  - ### setSerializerCharacterContentChunkMapMemoryLimit

    public void setSerializerCharacterContentChunkMapMemoryLimit(Integer serializerCharacterContentChunkMapMemoryLimit)
    Sets the property `characterContentChunkMapMemoryLimit` on FastInfoset StAX Serializers created and used by this interceptor. The property controls character content chunk map size and can be used to control the memory and (indirectly) CPU footprint of processing.
    Parameters:
      `serializerCharacterContentChunkMapMemoryLimit` - The value for the limit, measured as a number of Unicode characters.

  - ### getSerializerMinCharacterContentChunkSize

    public Integer getSerializerMinCharacterContentChunkSize()

  - ### setSerializerMinCharacterContentChunkSize

    public void setSerializerMinCharacterContentChunkSize(Integer serializerMinCharacterContentChunkSize)
    Sets the property `minCharacterContentChunkSize` on FastInfoset StAX Serializers created and used by this interceptor. The property controls the minimum size of character content chunks to be indexed.
    Parameters:
      `serializerMinCharacterContentChunkSize` - The minimum size for character content chunks to be indexed, measured as a number of characters. The default is typically 0.

  - ### getSerializerMaxCharacterContentChunkSize

    public Integer getSerializerMaxCharacterContentChunkSize()

  - ### setSerializerMaxCharacterContentChunkSize

    public void setSerializerMaxCharacterContentChunkSize(Integer serializerMaxCharacterContentChunkSize)
    Sets the property `maxCharacterContentChunkSize` on FastInfoset StAX Serializers created and used by this interceptor. The property controls the maximum size of character content chunks to be indexed. Tests have shown that setting this property to lower values reduces CPU burden of processing, at the expense of larger sizes of resultant encoded Fast Infoset data.
    Parameters:
      `serializerMaxCharacterContentChunkSize` - The maximum size for character content chunks to be indexed, measured as a number of characters. The default is typically 32.

  - ### getSerializerAttributeValueMapMemoryLimit

    public Integer getSerializerAttributeValueMapMemoryLimit()

  - ### setSerializerAttributeValueMapMemoryLimit

    public void setSerializerAttributeValueMapMemoryLimit(Integer serializerAttributeValueMapMemoryLimit)
    Sets the property `attributeValueMapMemoryLimit` on FastInfoset StAX Serializers created and used by this interceptor. The property controls attribute value map size and can be used to control the memory and (indirectly) CPU footprint of processing.
    Parameters:
      `serializerAttributeValueMapMemoryLimit` - The value for the limit, measured as a number of Unicode characters.